Skip to main content
DELETE
/
api
/
v3
/
communities
/
{communityId}
/
users
/
roles
Remove role from community users
curl --request DELETE \
  --url https://apix.us.amity.co/api/v3/communities/{communityId}/users/roles \
  --header 'Authorization: Bearer <token>'
{ "communities": [ { "communityId": "<string>", "channelId": "<string>", "displayName": "<string>", "_id": "<string>", "path": "<string>", "userId": "<string>", "userPublicId": "<string>", "userInternalId": "<string>", "avatarFileId": "<string>", "description": "<string>", "isOfficial": true, "isPublic": true, "onlyAdminCanPost": true, "tags": [ "<string>" ], "metadata": {}, "postsCount": 123, "membersCount": 123, "isJoined": true, "categoryIds": [ "<string>" ], "isDeleted": false, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "hasFlaggedComment": false, "hasFlaggedPost": false, "needApprovalOnPostCreation": false, "moderatorMemberCount": 123, "allowCommentInStory": true, "isDiscoverable": false, "requiresJoinApproval": false, "notificationMode": "default", "type": "default" } ], "communityUsers": [ { "userId": "<string>", "userPublicId": "<string>", "userInternalId": "<string>", "channelId": "<string>", "communityId": "<string>", "communityMembership": "none", "notMemberReason": "<string>", "isBanned": false, "lastActivity": "2023-11-07T05:31:56Z", "roles": [ "<string>" ], "permissions": [ "MUTE_CHANNEL" ], "lastJoin": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "files": [ { "fileId": "<string>", "fileUrl": "<string>", "type": "image", "accessType": "public", "altText": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "attributes": { "name": "<string>", "extension": "<string>", "size": 123, "mimeType": "<string>", "metadata": { "exif": {}, "gps": {}, "height": 123, "width": 123, "isFull": true } } } ], "users": [ { "userId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "<string>", "path": "<string>", "userInternalId": "<string>", "userPublicId": "<string>", "roles": [ "<string>" ], "permissions": [ "MUTE_CHANNEL" ], "displayName": "<string>", "profileHandle": "<string>", "description": "<string>", "avatarFileId": "<string>", "avatarCustomUrl": "<string>", "flagCount": 123, "hashFlag": { "bits": 123, "hashes": 123, "hash": [ "<string>" ] }, "metadata": {}, "isGlobalBan": true, "isBrand": true, "isDeleted": true } ], "roles": [ { "roleId": "<string>", "updatedAt": "2023-11-07T05:31:56Z", "permissions": [ "<string>" ], "isDeleted": false, "displayName": "<string>", "createdAt": "2023-11-07T05:31:56Z" } ], "categories": [ { "categoryId": "<string>", "name": "<string>", "metadata": {}, "avatarFileId": "<string>", "isDeleted": false, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "feeds": [ { "targetId": "<string>", "targetType": "community", "postCount": 123, "feedType": "published", "feedId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

communityId
string
required
Required string length: 1 - 900

Query Parameters

userIds
string[]
required

list of user id

Required array length: 1 - 100 elements
Required string length: 1 - 50
role
string
required
Required string length: 1 - 900

Response

Communities Information

communities
object[]
communityUsers
object[]
files
object[]
users
object[]
roles
object[]
categories
object[]
feeds
object[]